Scriptname CraftableCompassReEquipScript extends ReferenceAlias 

Actor Property pPlayerRef Auto 

Armor Property CraftableCompass Auto

spell CurrentSpell
weapon CurrentWeapon

int ReEquipToggle

Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
     If (akBaseObject == CraftableCompass)
        ReEquipToggle = 1
        CurrentSpell = pPlayerRef.GetEquippedSpell(1)
        CurrentWeapon = pPlayerRef.GetEquippedWeapon(abLeftHand = false)
        pPlayerRef.UnEquipItem(CurrentWeapon, false, true)
        pPlayerRef.UnEquipSpell(CurrentSpell, 1)
     ElseIf (ReEquipToggle == 1) && (akBaseObject as Spell) || (akBaseObject as Weapon)
        ;Debug.notification("equipped a weapon or spell")
        Int RHandCheck = pPlayerRef.GetEquippedItemType(1)
        If (RHandCheck > 0)
            ReEquipToggle = 0
            Utility.wait(1.0)
            pPlayerRef.UnEquipItem(CraftableCompass)
        EndIf
     Endif
EndEvent

Event OnObjectUnequipped(Form akBaseObject, ObjectReference akReference)
    If (akBaseObject == CraftableCompass) && (ReEquipToggle == 1)
        pPlayerRef.EquipItem(CurrentWeapon, false, true)
        pPlayerRef.EquipSpell(CurrentSpell, 1)
        ReEquipToggle = 0
    EndIf
EndEvent