Scriptname CompassUpdateHeadingEffect extends ActiveMagicEffect 

Actor Property pPlayerRef Auto 

Armor Property CraftableCompass Auto
Armor Property CraftableCompassNeedle Auto
Armor Property CraftableCompassNeedleNE Auto
Armor Property CraftableCompassNeedleE Auto
Armor Property CraftableCompassNeedleSE Auto
Armor Property CraftableCompassNeedleS Auto
Armor Property CraftableCompassNeedleSW Auto
Armor Property CraftableCompassNeedleW Auto
Armor Property CraftableCompassNeedleNW Auto

Armor Property CraftableCompassNeedleNa Auto
Armor Property CraftableCompassNeedleNEa Auto
Armor Property CraftableCompassNeedleEa Auto
Armor Property CraftableCompassNeedleSEa Auto
Armor Property CraftableCompassNeedleSa Auto
Armor Property CraftableCompassNeedleSWa Auto
Armor Property CraftableCompassNeedleWa Auto
Armor Property CraftableCompassNeedleNWa Auto 

Armor Property CraftableCompassNeedleNb Auto
Armor Property CraftableCompassNeedleNEb Auto
Armor Property CraftableCompassNeedleEb Auto
Armor Property CraftableCompassNeedleSEb Auto
Armor Property CraftableCompassNeedleSb Auto
Armor Property CraftableCompassNeedleSWb Auto
Armor Property CraftableCompassNeedleWb Auto
Armor Property CraftableCompassNeedleNWb Auto

Armor Property CraftableCompassNeedleNc Auto
Armor Property CraftableCompassNeedleNEc Auto
Armor Property CraftableCompassNeedleEc Auto
Armor Property CraftableCompassNeedleSEc Auto
Armor Property CraftableCompassNeedleSc Auto
Armor Property CraftableCompassNeedleSWc Auto
Armor Property CraftableCompassNeedleWc Auto
Armor Property CraftableCompassNeedleNWc Auto

FormList Property CompassNeedles Auto

GlobalVariable Property ZOffset Auto 
GlobalVariable Property CompassUpdate Auto
GlobalVariable Property UpdateToggle Auto
GlobalVariable Property CompassManualToggle Auto
GlobalVariable Property MaxNeedlePos Auto

Static Property NorthMarker Auto

SoundCategory Property AudioCategorySFX Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
float ZOffsetA = ZOffset.getvalue()
ObjectReference NorthMarkerRef = Game.FindClosestReferenceOfTypeFromRef(NorthMarker, pPlayerRef, 25000.0)
float InteriorNorth = NorthMarkerRef.GetAngleZ()
float CurrentAngle = pPlayerRef.GetAngleZ()
float UpdateToggleA = UpdateToggle.GetValue()
float MaxNeedlePosA = MaxNeedlePos.GetValue()

    If (pPlayerRef.IsInInterior()) && (ZOffsetA == 0)
        CurrentAngle = (CurrentAngle - InteriorNorth)
    Else 
        CurrentAngle = (CurrentAngle - ZOffsetA)
    Endif

    If (CurrentAngle < 0)
        CurrentAngle = (CurrentAngle + 360)
    endif
If (pPlayerRef.IsEquipped(CraftableCompass))
    If (MaxNeedlePosA == 1)
        If (CurrentAngle >= 337.5) || (CurrentAngle < 22.5)        
            pPlayerRef.EquipItem(CraftableCompassNeedle, false, true)
        ElseIf (CurrentAngle >= 22.5) && (CurrentAngle < 67.5)        
            pPlayerRef.EquipItem(CraftableCompassNeedleNE, false, true)
        ElseIf (CurrentAngle >= 67.5) && (CurrentAngle < 112.5)        
            pPlayerRef.EquipItem(CraftableCompassNeedleE, false, true)
        ElseIf (CurrentAngle >= 112.5) && (CurrentAngle < 157.5)        
            pPlayerRef.EquipItem(CraftableCompassNeedleSE, false, true)
        ElseIf (CurrentAngle >= 157.5) && (CurrentAngle < 202.5)        
            pPlayerRef.EquipItem(CraftableCompassNeedleS, false, true)
        ElseIf (CurrentAngle >= 202.5) && (CurrentAngle <247.5)        
            pPlayerRef.EquipItem(CraftableCompassNeedleSW, false, true)
        ElseIf (CurrentAngle >= 247.5) && (CurrentAngle < 292.5)        
            pPlayerRef.EquipItem(CraftableCompassNeedleW, false, true)
        ElseIf (CurrentAngle >= 292.5) && (CurrentAngle < 337.5)        
            pPlayerRef.EquipItem(CraftableCompassNeedleNW, false, true)
        EndIf    
    ElseIf (MaxNeedlePosA == 2)
        If (CurrentAngle >= 348.75) || (CurrentAngle < 11.25)
            pPlayerRef.EquipItem(CraftableCompassNeedle, false, true)
        ElseIf (CurrentAngle >= 11.25) && (CurrentAngle < 33.75)
            pPlayerRef.EquipItem(CraftableCompassNeedleNb, false, true)
        ElseIf (CurrentAngle >= 33.75) && (CurrentAngle < 56.25)
            pPlayerRef.EquipItem(CraftableCompassNeedleNE, false, true)
        ElseIf (CurrentAngle >= 56.25) && (CurrentAngle < 78.75)
            pPlayerRef.EquipItem(CraftableCompassNeedleNEb, false, true)
            
        ElseIf (CurrentAngle >= 78.75) && (CurrentAngle < 101.25)
            pPlayerRef.EquipItem(CraftableCompassNeedleE, false, true)
        ElseIf (CurrentAngle >= 101.25) && (CurrentAngle <123.75)
            pPlayerRef.EquipItem(CraftableCompassNeedleEb, false, true)
        ElseIf (CurrentAngle >= 123.75) && (CurrentAngle < 146.25)
            pPlayerRef.EquipItem(CraftableCompassNeedleSE, false, true)
        ElseIf (CurrentAngle >= 146.25) && (CurrentAngle < 168.75)
            pPlayerRef.EquipItem(CraftableCompassNeedleSEb, false, true)
            
        ElseIf (CurrentAngle >= 168.75) && (CurrentAngle < 191.25)
            pPlayerRef.EquipItem(CraftableCompassNeedleS, false, true)
        ElseIf (CurrentAngle >= 191.25) && (CurrentAngle < 213.75)
            pPlayerRef.EquipItem(CraftableCompassNeedleSb, false, true)
        ElseIf (CurrentAngle >= 213.75) && (CurrentAngle < 236.25)
            pPlayerRef.EquipItem(CraftableCompassNeedleSW, false, true)
        ElseIf (CurrentAngle >= 236.25) && (CurrentAngle < 258.75)
            pPlayerRef.EquipItem(CraftableCompassNeedleSWb, false, true)
            
        ElseIf (CurrentAngle >= 258.75) && (CurrentAngle < 281.25)
            pPlayerRef.EquipItem(CraftableCompassNeedleW, false, true)
        ElseIf (CurrentAngle >= 281.25) && (CurrentAngle <303.75)
            pPlayerRef.EquipItem(CraftableCompassNeedleWb, false, true)
        ElseIf (CurrentAngle >= 303.75) && (CurrentAngle < 326.25)
            pPlayerRef.EquipItem(CraftableCompassNeedleNW, false, true)
        ElseIf (CurrentAngle >= 326.25) && (CurrentAngle < 348.75)
            pPlayerRef.EquipItem(CraftableCompassNeedleNWb, false, true)
        Endif
    ElseIf (MaxNeedlePosA == 3)
        If (CurrentAngle >= 354.375) || (CurrentAngle < 5.625)        
            pPlayerRef.EquipItem(CraftableCompassNeedle, false, true)
        ElseIf (CurrentAngle >= 5.625) && (CurrentAngle < 16.875)       
            pPlayerRef.EquipItem(CraftableCompassNeedleNa, false, true)
        ElseIf (CurrentAngle >= 16.875) && (CurrentAngle < 28.125)        
            pPlayerRef.EquipItem(CraftableCompassNeedleNb, false, true)
        ElseIf (CurrentAngle >= 28.125) && (CurrentAngle < 39.375)        
            pPlayerRef.EquipItem(CraftableCompassNeedleNc, false, true)
            
        ElseIf (CurrentAngle >= 39.375) && (CurrentAngle < 50.625)        
            pPlayerRef.EquipItem(CraftableCompassNeedleNE, false, true)
        ElseIf (CurrentAngle >= 50.625) && (CurrentAngle <61.875)        
            pPlayerRef.EquipItem(CraftableCompassNeedleNEa, false, true)
        ElseIf (CurrentAngle >= 61.875) && (CurrentAngle < 73.125)       
            pPlayerRef.EquipItem(CraftableCompassNeedleNEb, false, true) 
        ElseIf (CurrentAngle >= 73.125) && (CurrentAngle < 84.375)        
            pPlayerRef.EquipItem(CraftableCompassNeedleNEc, false, true)
            
        ElseIf (CurrentAngle >= 84.375) && (CurrentAngle < 95.625)        
            pPlayerRef.EquipItem(CraftableCompassNeedleE, false, true)
        ElseIf (CurrentAngle >= 95.625) && (CurrentAngle < 106.875)       
            pPlayerRef.EquipItem(CraftableCompassNeedleEa, false, true)
        ElseIf (CurrentAngle >= 106.875) && (CurrentAngle < 118.125)       
            pPlayerRef.EquipItem(CraftableCompassNeedleEb, false, true)
        ElseIf (CurrentAngle >= 118.125) && (CurrentAngle < 129.375)        
            pPlayerRef.EquipItem(CraftableCompassNeedleEc, false, true)
            
        ElseIf (CurrentAngle >= 129.375) && (CurrentAngle < 140.625)        
            pPlayerRef.EquipItem(CraftableCompassNeedleSE, false, true)
        ElseIf (CurrentAngle >= 140.625) && (CurrentAngle <151.875)        
            pPlayerRef.EquipItem(CraftableCompassNeedleSEa, false, true)
        ElseIf (CurrentAngle >= 151.875) && (CurrentAngle < 163.125)       
            pPlayerRef.EquipItem(CraftableCompassNeedleSEb, false, true)
        ElseIf (CurrentAngle >= 163.125) && (CurrentAngle < 174.375)        
            pPlayerRef.EquipItem(CraftableCompassNeedleSEc, false, true)
            
        ElseIf (CurrentAngle >= 174.375) && (CurrentAngle < 185.625)        
            pPlayerRef.EquipItem(CraftableCompassNeedleS, false, true)
        ElseIf (CurrentAngle >= 185.625) && (CurrentAngle < 196.875)        
            pPlayerRef.EquipItem(CraftableCompassNeedleSa, false, true)        
        ElseIf (CurrentAngle >= 196.875) && (CurrentAngle < 208.125)        
            pPlayerRef.EquipItem(CraftableCompassNeedleSb, false, true)
        ElseIf (CurrentAngle >= 208.125) && (CurrentAngle < 219.375)        
            pPlayerRef.EquipItem(CraftableCompassNeedleSc, false, true)
            
        ElseIf (CurrentAngle >= 219.375) && (CurrentAngle < 230.625)       
            pPlayerRef.EquipItem(CraftableCompassNeedleSW, false, true)
        ElseIf (CurrentAngle >= 230.625) && (CurrentAngle <241.875)        
            pPlayerRef.EquipItem(CraftableCompassNeedleSWa, false, true)
        ElseIf (CurrentAngle >= 241.875) && (CurrentAngle < 253.125)        
            pPlayerRef.EquipItem(CraftableCompassNeedleSWb, false, true)
        ElseIf (CurrentAngle >= 253.125) && (CurrentAngle < 264.375)        
            pPlayerRef.EquipItem(CraftableCompassNeedleSWc, false, true)
            
        ElseIf (CurrentAngle >= 264.375) && (CurrentAngle < 275.625)        
            pPlayerRef.EquipItem(CraftableCompassNeedleW, false, true)
        ElseIf (CurrentAngle >= 275.625) && (CurrentAngle < 286.875)        
            pPlayerRef.EquipItem(CraftableCompassNeedleWa, false, true)
        ElseIf (CurrentAngle >= 286.875) && (CurrentAngle < 298.125)       
            pPlayerRef.EquipItem(CraftableCompassNeedleWb, false, true)
        ElseIf (CurrentAngle >= 298.125) && (CurrentAngle < 309.375)        
            pPlayerRef.EquipItem(CraftableCompassNeedleWc, false, true)
            
        ElseIf (CurrentAngle >= 309.375) && (CurrentAngle < 320.625)       
            pPlayerRef.EquipItem(CraftableCompassNeedleNW, false, true)
        ElseIf (CurrentAngle >= 320.625) && (CurrentAngle <331.875)       
            pPlayerRef.EquipItem(CraftableCompassNeedleNWa, false, true)
        ElseIf (CurrentAngle >= 331.875) && (CurrentAngle < 343.125)       
            pPlayerRef.EquipItem(CraftableCompassNeedleNWb, false, true)
        ElseIf (CurrentAngle >= 343.125) && (CurrentAngle < 354.375)       
            pPlayerRef.EquipItem(CraftableCompassNeedleNWc, false, true)
        Endif
    Endif
Endif
EndEvent