Scriptname CraftableCompassSoundFX extends ReferenceAlias 

Actor Property pPlayerRef Auto

Armor Property CraftableCompass Auto 

Sound Property CompassDing Auto
Sound Property CompassEffectsLP Auto

GlobalVariable Property UpdateToggle Auto
GlobalVariable Property CompassManualToggle Auto

int CompassEffectsLPInstance

Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)    
    Float CompassManualToggleA = CompassManualToggle.GetValue()
    
    If (akBaseObject == CraftableCompass) && (CompassManualToggleA == 1)
        CompassEffectsLPInstance = CompassEffectsLP.play(pPlayerRef)
    EndIf
EndEvent

Event OnObjectUnequipped(Form akBaseObject, ObjectReference akReference)
    Float CompassManualToggleA = CompassManualToggle.GetValue()
    Float UpdateToggleA = UpdateToggle.GetValue()
    Bool DrawCheck = pPlayerRef.IsWeaponDrawn()
    
    If (akBaseObject == CraftableCompass)
        Sound.StopInstance(CompassEffectsLPInstance)    
    ElseIf (UpdateToggleA == 1) && (DrawCheck == true)
        CompassDing.play(pPlayerRef)
    EndIf
EndEvent